#ifndef _LINUX_FWFS_H
#define _LINUX_FWFS_H
#include <linux/module.h>
#include <linux/types.h>

#include "firmware.h"
#if 0
struct fwfs_entry {
	size_t size;
	u8 *data;
	/* the rest is private */
	atomic_t use_count;
	struct dentry *dentry;
	time_t ctime;
};
#endif
struct firmware *fwfs_get(const char *name);
void fwfs_put(const struct firmware *entry);
void fwfs_write_default(const char *name, const u8 *data, size_t size);

#endif
